org.encog.neural.networks.training.concurrent.jobs

## Class TrainingJob

- java.lang.Object
- - org.encog.neural.networks.training.concurrent.jobs.TrainingJob

- Direct Known Subclasses:
    BPROPJob, RPROPJob

      public abstract class TrainingJob
      extends Object

  Base class for all concurrent training jobs.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrainingJob(BasicNetwork network, MLDataSet training, boolean loadToMemory)` Construct a training job.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `createTrainer(boolean singleThreaded)` Create a trainer to use.
    `Throwable` | `getError()`
    `BasicNetwork` | `getNetwork()`
    `List<Strategy>` | `getStrategies()`
    `MLTrain` | `getTrain()`
    `MLDataSet` | `getTraining()`
    `boolean` | `isLoadToMemory()`
    `void` | `setError(Throwable error)`
    `void` | `setLoadToMemory(boolean loadToMemory)`
    `void` | `setNetwork(BasicNetwork network)`
    `void` | `setTrain(MLTrain train)`
    `void` | `setTraining(MLDataSet training)`
    `boolean` | `shouldContinue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrainingJob

          public TrainingJob(BasicNetwork network,
                     MLDataSet training,
                     boolean loadToMemory)

      Construct a training job.
      Parameters:
        `network` - The network to train.
        `training` - The training data to use.
        `loadToMemory` - True, if binary data should be loaded to memory.

  - ### Method Detail

    - #### createTrainer

          public abstract void createTrainer(boolean singleThreaded)

      Create a trainer to use.

    - #### getError

          public Throwable getError()

      Returns:
        the error

    - #### getNetwork

          public BasicNetwork getNetwork()

      Returns:
        the network

    - #### getStrategies

          public List<Strategy> getStrategies()

      Returns:
        the strategies

    - #### getTrain

          public MLTrain getTrain()

      Returns:
        the train

    - #### getTraining

          public MLDataSet getTraining()

      Returns:
        the training

    - #### isLoadToMemory

          public boolean isLoadToMemory()

      Returns:
        the loadToMemory

    - #### setError

          public void setError(Throwable error)

      Parameters:
        `error` - the error to set

    - #### setLoadToMemory

          public void setLoadToMemory(boolean loadToMemory)

      Parameters:
        `loadToMemory` - the loadToMemory to set

    - #### setNetwork

          public void setNetwork(BasicNetwork network)

      Parameters:
        `network` - the network to set

    - #### setTrain

          public void setTrain(MLTrain train)

      Parameters:
        `train` - the train to set

    - #### setTraining

          public void setTraining(MLDataSet training)

      Parameters:
        `training` - the training to set

    - #### shouldContinue

          public boolean shouldContinue()

      Returns:
        True, if training should continue.

Copyright © 2014. All Rights Reserved.